%bcond_with test
Summary:        Turn on Unicode everywhere
Name:           perl-utf8-all
Version:        0.024
Release:        4%{?dist}
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/utf8-all
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAYOBAAN/utf8-all-%{version}.tar.gz
BuildRequires:  coreutils, findutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker), perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(Carp), perl(charnames), perl(Config), perl(Encode), perl(feature), perl(Import::Into), perl(open)
BuildRequires:  perl(parent), perl(PerlIO::utf8_strict), perl(Symbol), perl(utf8)

# Tests:
%if %{with test}
BuildRequires:  perl(autodie), perl(blib), perl(constant), perl(File::Spec), perl(IO::Handle), perl(IPC::Open3), perl(locale), perl(PerlIO), perl(Test::Exception), perl(Test::Fatal), perl(Test::More) >= 0.96, perl(Test::Warn), perl(threads), perl(threads::shared), perl(version) >= 0.77
%endif

BuildArch:      noarch

%description
Pragma utf8 allows you to write your Perl encoded in UTF-8. That means UTF-8
strings, variable names, and regular expressions. utf8::all goes further, and
makes @ARGV encoded in UTF-8, and file handles are opened with UTF-8 encoding
turned on by default (including STDIN, STDOUT, STDERR), and character names
are imported so \N{...} sequences can be used to compile Unicode characters
based on names. If you don't want UTF-8 for a particular file handle, you'll
have to set binmode $filehandle.



%prep
%autosetup -n utf8-all-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} -c %{buildroot}



%check
%if %{with test}
make test
%endif



%files
%license LICENSE
%doc Changes README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.024-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.024-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.024-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 22 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.024-1
- initial
